org.apache.ignite.ml.xgboost.parser

## Class XGBoostModelBaseVisitor<T>

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.ignite.ml.xgboost.parser.XGBoostModelBaseVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<T>, XGBoostModelVisitor<T>
  Direct Known Subclasses:
    XGModelVisitor, XGTreeDictionaryVisitor, XGTreeVisitor

      public class XGBoostModelBaseVisitor<T>
      extends org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
      implements XGBoostModelVisitor<T>

  This class provides an empty implementation of `XGBoostModelVisitor`, which can be extended to create a visitor which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGBoostModelBaseVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitXgHeader(XGBoostModelParser.XgHeaderContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgHeader()`.
    `T` | `visitXgLeaf(XGBoostModelParser.XgLeafContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgLeaf()`.
    `T` | `visitXgModel(XGBoostModelParser.XgModelContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgModel()`.
    `T` | `visitXgNode(XGBoostModelParser.XgNodeContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgNode()`.
    `T` | `visitXgTree(XGBoostModelParser.XgTreeContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgTree()`.
    `T` | `visitXgValue(XGBoostModelParser.XgValueContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgValue()`.

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### XGBoostModelBaseVisitor

          public XGBoostModelBaseVisitor()

  - ### Method Detail

    - #### visitXgValue

          public T visitXgValue(XGBoostModelParser.XgValueContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgValue()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgValue` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgHeader

          public T visitXgHeader(XGBoostModelParser.XgHeaderContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgHeader()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgHeader` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgNode

          public T visitXgNode(XGBoostModelParser.XgNodeContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgNode()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgNode` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgLeaf

          public T visitXgLeaf(XGBoostModelParser.XgLeafContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgLeaf()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgLeaf` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgTree

          public T visitXgTree(XGBoostModelParser.XgTreeContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgTree()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgTree` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitXgModel

          public T visitXgModel(XGBoostModelParser.XgModelContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgModel()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgModel` in interface `XGBoostModelVisitor<T>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023